ModelUtil (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.model

## Class ModelUtil

- java.lang.Object
- - opennlp.tools.util.model.ModelUtil

-     public final class ModelUtil
      extends Object

  Utility class for handling of `MaxentModel`s.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCutoffAndIterations(Map<String,String> manifestInfoEntries, int cutoff, int iterations)`
    `static TrainingParameters` | `createDefaultTrainingParameters()` Creates the default training parameters in case they are not provided.
    `static byte[]` | `read(InputStream in)` Writes the provided `InputStream` into a byte array which is returned
    `static boolean` | `validateOutcomes(MaxentModel model, String... expectedOutcomes)` Checks if the expected outcomes are all contained as outcomes in the given model.
    `static void` | `writeModel(MaxentModel model, OutputStream out)` Writes the given model to the given `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeModel

          public static void writeModel(MaxentModel model,
                                        OutputStream out)
                                 throws IOException,
                                        IllegalArgumentException

      Writes the given model to the given `OutputStream`. This methods does not closes the provided stream.
      Parameters:
        `model` - the model to be written
        `out` - the stream the model should be written to
      Throws:
        `IOException`
        `IllegalArgumentException` - in case one of the parameters is null

    - #### validateOutcomes

          public static boolean validateOutcomes(MaxentModel model,
                                                 String... expectedOutcomes)

      Checks if the expected outcomes are all contained as outcomes in the given model.
      Parameters:
        `model` -
        `expectedOutcomes` -
      Returns:
        true if all expected outcomes are the only outcomes of the model.

    - #### read

          public static byte[] read(InputStream in)
                             throws IOException

      Writes the provided `InputStream` into a byte array which is returned
      Parameters:
        `in` - stream to read data for the byte array from
      Returns:
        byte array with the contents of the stream
      Throws:
        `IOException` - if an exception is thrown while reading from the provided `InputStream`

    - #### addCutoffAndIterations

          public static void addCutoffAndIterations(Map<String,String> manifestInfoEntries,
                                                    int cutoff,
                                                    int iterations)

    - #### createDefaultTrainingParameters

          public static TrainingParameters createDefaultTrainingParameters()

      Creates the default training parameters in case they are not provided. Note: Do not use this method, internal use only!
      Returns:
        training parameters instance

Copyright © 2026 The Apache Software Foundation. All rights reserved.